#!/bin/bash

#
# Copyright (c) 2010 Ingres Corp.
#

TOPDIR="`cat .topdir`"       
IVWDIR="$TOPDIR/scripts/ingres_vectorwise"
source $TOPDIR/scripts/kit_profile || er "$0: could not source kit_profile"

RESTART=0
while getopts "d:lr" opt; do
    case $opt in
    d)
        DATABASE=$OPTARG
        ;;
    l)
        LOC=$OPTARG
        ;;
    r)
        RESTART=$OPTARG
        ;;
    ?)
        echo "Usage: $0"
        echo "     -d  <database name> (required)"
        echo "     -f  force database recreation"
        echo "     -l  <database location>"
        echo "     -r  restart DBMS before database creation"
        exit 1
    esac
done

if [ $RESTART -eq 1 ]; then
    $IVWDIR/stop_db.sh || er "could not stop the dbms"
    $IVWDIR/start_db.sh || er "could not start the dbms"
fi

echo "Creating database $DATABASE..."
if [ -z $LOC ]; then
    CMD=`createdb $DATABASE | grep "completed successfully"`
else
    echo "location: $LOC"
    CMD=`createdb $DATABASE -d$LOC -c$LOC -j$LOC -w$LOC -b$LOC | grep "completed successfully"`
fi

if [ -z "$CMD" ]; then
    echo "createdb $DATABASE failed"
    exit 1
fi

echo "Database $DATABASE created."

exit 0
