#!/bin/bash

#
# Copyright (c) 2010 Ingres Corp.
#

TOPDIR="`cat .topdir`"        
IVWDIR="$TOPDIR/scripts/ingres_vectorwise"
source $TOPDIR/scripts/kit_profile || er "$0: could not source kit_profile"

unset DEFAULT_PARAMS
while getopts "de:m:q:s:" opt; do
    case $opt in
        d)
            DEFAULT_PARAMS="-d"
            ;;
        e)
            SEED=$OPTARG
            ;;
        m)
            STREAM=$OPTARG
            ;;
        q)
            QUERIES_DIR=$OPTARG
            ;;
        s)
            SF=$OPTARG
            ;;
        ?)
            echo "Usage: $0"
            echo "     -d  enable default substitution parameters (passed seed is ignored)"
            echo "     -e  <seed> (required)"
            echo "     -m  <stream> (required)"
            echo "     -q  <queries directory> (required)"
            echo "     -s  <scale factor> (required)"
            exit 1
    esac
done

mkdir -p ${QUERIES_DIR}/stream${STREAM}

for ((i=1;i<=22;i++)); do
    # Get query number
    QUERY=`${QGEN} -c -p ${STREAM} ${i} | grep "Query (Q" |  sed -e 's/.*Query (Q\(.*\)/\1/' -e 's/)$//'`

    # Generate query file
    $QGEN ${DEFAULT_PARAMS} -c -r ${SEED} -p ${STREAM} -s ${SF} \
        -l ${QUERIES_DIR}/stream${STREAM}/q${QUERY}_param ${i} > ${QUERIES_DIR}/stream${STREAM}/${i}_q${QUERY}.sql
done
