#!/bin/awk -f

#
# Copyright (c) 2010 Ingres Corporation
#
BEGIN {
	val=1;
}
{
 	query = $1;
 	start_time = $2;
 	end_time = $3;
	duration = sprintf("%.2f", end_time - start_time);

    # values of less than 0.05 second must be rounded up to 0.1 second to avoid zero values (clause 5.3.7.5)
    if (duration < 0.05)
        duration = 0.1;

    # round duration to the nearest 0.1
 	rounded_duration = sprintf("%.1f", int(duration*10+0.5)/10);

    val = val * rounded_duration;
}
END {
    val=val**(1/NR);
    metric=(3600*sf)/val;
    # print metric rounded to the nearest 0.1
	printf("%.1f", int(metric*10+0.5)/10);
}

