#!/bin/awk -f

#
# Copyright (c) 2010 Ingres Corporation
#

BEGIN {
	printf("\n====================================================================================\n");
 	printf("Query\tStart Time\t\tEnd Time\t\tDuration (s)\n");
 	print("====================================================================================");
 	total = 0.0;
}
{
 	query = $1;
 	start_time = $2;
 	end_time = $3;

    if (end_time == "ERROR") {
       	printf("%d\t%-26s\t%-26s\t%s\t\n",query, "** ERROR **", "** ERROR **", "** ERROR **");
    }
    else {
     	duration = sprintf("%.2f", end_time - start_time);

        # values of less than 0.05 second must be rounded up to 0.1 second to avoid zero values (clause 5.3.7.5)
        if (duration < 0.05)
            duration = 0.1;

        # round to the nearest tenth
        rounded_duration = sprintf("%.1f", int((duration*10)+0.5)/10);

	    human_start = strftime("%Y-%m-%d %H:%M:%S",start_time);
	    frac_start = substr(start_time, length(int(start_time))+2, length(start_time));
	    human_end = strftime("%Y-%m-%d %H:%M:%S",end_time);
	    frac_end = substr(end_time, length(int(end_time))+2, length(end_time));
     	     	
     	total=total+rounded_duration;
       	printf("%d\t%s.%s\t%s.%s\t%s\t\n",query, human_start, frac_start, human_end, frac_end, rounded_duration);
    }
}
END {
 	print("====================================================================================");
 	printf("Total time = %.3f\n",total);
}
