#!/bin/bash

#
# Copyright (c) 2010 Ingres Corp.
#

TOPDIR="`cat .topdir`"        
IVWDIR="$TOPDIR/scripts/ingres_vectorwise"
source $TOPDIR/scripts/kit_profile || er "$0: could not source kit_profile"

host=`uname -n`

if [ -z $1 ]; then
        echo "database name is required."
        exit 1
fi

DATABASE=$1

# delete all existing stats
#
statdump -zdl $DATABASE >/dev/null

grep -v '#' $IVWDIR/location_names.$host | (while [ 1 ]; do
	read ignore_loc ignore_area ignore_disk ignore_pct table
	if [ $? -ne 0 ]; then
		break
	fi
	echo "Optimizing table ${table}"
	optimizedb -zfq -zr1000 -zu1000 $DATABASE -r$table
done
wait
)
